//
//  Stack.swift
//  Browse
//
//  Created by Javier Cicchelli on 15/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

enum Stack {
    case browse(Folder)
    case open(Document)
}

// MARK: - Computed

extension Stack {
    var tag: String {
        if case .browse(let folder) = self {
            return folder.id
        } else if case .open(let document) = self {
            return document.id
        } else {
            return .Constants.noId
        }
    }
}

// MARK: - Hashable

extension Stack: Hashable {}

// MARK: - String+Constants

private extension String {
    enum Constants {
        static let noId = "-"
    }
}
